
config() {
    NEW="$1"
    OLD="${1%.new}"
    if [ ! -r $OLD ];
    then
        # If there's no config file by that name, mv it over:
        mv $NEW $OLD
    elif [ "$(md5sum <$OLD)" = "$(md5sum <$NEW)" ];
    then
        # toss the redundant copy
        rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}

# doinst.sh reads the list of files from ./install/conffiles at install time.
# ./install/conffiles was generated at build time/
for cf in $(cat install/conffiles)
do
    config $cf.new
done
( cd usr/lib64 ; rm -rf libfreeipmi.so )
( cd usr/lib64 ; ln -sf libfreeipmi.so.17.2.2 libfreeipmi.so )
( cd usr/lib64 ; rm -rf libipmiconsole.so )
( cd usr/lib64 ; ln -sf libipmiconsole.so.2.3.5 libipmiconsole.so )
( cd usr/lib64 ; rm -rf libfreeipmi.so.17 )
( cd usr/lib64 ; ln -sf libfreeipmi.so.17.2.2 libfreeipmi.so.17 )
( cd usr/lib64 ; rm -rf libipmimonitoring.so )
( cd usr/lib64 ; ln -sf libipmimonitoring.so.6.0.8 libipmimonitoring.so )
( cd usr/lib64 ; rm -rf libipmimonitoring.so.6 )
( cd usr/lib64 ; ln -sf libipmimonitoring.so.6.0.8 libipmimonitoring.so.6 )
( cd usr/lib64 ; rm -rf libipmidetect.so )
( cd usr/lib64 ; ln -sf libipmidetect.so.0.0.1 libipmidetect.so )
( cd usr/lib64 ; rm -rf libipmidetect.so.0 )
( cd usr/lib64 ; ln -sf libipmidetect.so.0.0.1 libipmidetect.so.0 )
( cd usr/lib64 ; rm -rf libipmiconsole.so.2 )
( cd usr/lib64 ; ln -sf libipmiconsole.so.2.3.5 libipmiconsole.so.2 )
( cd usr/sbin ; rm -rf ipmi-power )
( cd usr/sbin ; ln -sf /usr/sbin/ipmipower ipmi-power )
( cd usr/sbin ; rm -rf rmcp-ping )
( cd usr/sbin ; ln -sf /usr/sbin/rmcpping rmcp-ping )
( cd usr/sbin ; rm -rf ipmi-ping )
( cd usr/sbin ; ln -sf /usr/sbin/ipmiping ipmi-ping )
( cd usr/sbin ; rm -rf ipmi-detect )
( cd usr/sbin ; ln -sf /usr/sbin/ipmidetect ipmi-detect )
( cd usr/sbin ; rm -rf pef-config )
( cd usr/sbin ; ln -sf /usr/sbin/ipmi-pef-config pef-config )
( cd usr/sbin ; rm -rf ipmi-console )
( cd usr/sbin ; ln -sf /usr/sbin/ipmiconsole ipmi-console )
